gcr 4.4.0.1:
- meson: Fix gck vesion

gcr 4.4.0:
- gcr: Add OID for Extended Key Usage
- gcr: Avoid g_strv_builder_unref_to_strv() [GNOME/gcr!167]
- gck: Disable parallel tests using gck-mock module [GNOME/gcr!165]
- meson: Do a stricter check on GLib version [GNOME/gcr!166]
- gcr: Support parsing ed25519 SSH public keys [GNOME/gcr!164]
- Updated translations

gcr 4.3.91:
- Several updates to the CI
- gcr: Implement Certificate Policies extension [GNOME/gcr!153]
- gcr: Implement Authority Information Access (AIA) extension [GNOME/gcr!159]
- gcr: Implement Authority Key Identifier extension [GNOME/gcr!161]
- gcr: Implement CRL Distribution Points extension [GNOME/gcr!163]
- gcr: Add GcrGeneralNames helper object [GNOME/gcr!162]
- gck: Add missing finish-func annotation to gck_slot_open_session_full_async
- Migrate away from g_assert() in some unit tests
- Updated translations

gcr 4.3.90.3:
- ci: Another tarball publish fix

gcr 4.3.90.2:
- meson: fix library version

gcr 4.3.90.1:
- ci: Tarball publish fix

gcr 4.3.90:
- gcr: Add new GcrCertificateExtension API [GNOME/gcr!150]
- gcr: Vala override for CertificateField.get_value [GNOME/gcr!144]
- Fix meson test failures in FIPS mode [GNOME/gcr!145]
- doap: Remove invalid maintainer entry [GNOME/gcr!147]
- tests: Replace echo -n by printf [GNOME/gcr!148]
- build: Avoid redundant libegg linking into gck tests [GNOME/gcr!149]
- build: Fix some GLib/GTK deprecation warnings [GNOME/gcr!151]
- ssh-agent: Request rsa-sha2-256 signature in tests [GNOME/gcr!154]
- Updated translations

gcr 4.3.0:
- certificate: Add API to retrieve version [GNOME/gcr!135]
- Bump required GnuTLS version to 3.8.5 [GNOME/gcr!142]
- Avoid potential integer overflow spotted by UBSan [GNOME/gcr!141]
- Support GnuTLS as an alternative crypto backend [GNOME/gcr!140]
- Updated translations

gcr 4.2.1:
- gcr-ssh-agent: set `SSH_AUTH_SOCK` [GNOME/gcr!137]
- gcr-ssh-agent: port avoid deadlock fix [GNOME/gcr!136]
- Updated translations

gcr 4.2.0:
- gcr-ssh-agent: add command line options to gcr-ssh-agent [GNOME/gcr!129]
- gcr-ssh-agent: Fix memory leak spotted by ASan [GNOME/gcr!133]
- gcr-ssh-agent: Port memory safety fixes from gnome-keyring ssh-agent [GNOME/gcr!128]
- Updated translations

gcr 4.1.0:
- The soversion is now properly set to 4.
- certificate: Print dates in ISO8601 format [GNOME/gcr!125]
- viewer: Support certificates read from PKCS#11 store [GNOME/gcr!116]
- gcr: Add means to construct GcrCertificate from PKCS#11 URI [GNOME/gcr!117]
- Several smaller fixes found with ASAN
- Stop using GSlice [GNOME/gcr!118]
- a11y: Improve reading of certificate info by screen readers [GNOME/gcr!112]
- Updated translations

gcr 4.0.0:
- This the first stable release of gcr4 and gck2
- Updated translations

gcr 3.92.0:
- This is the beta release of gcr4, which is a major version bump after gcr3
  with several API and ABI breaks.
- `GcrCertificateSection` and `GcrCertificateField` have been added, which now
  allow consumers to more easily create their own GcrCertificate-based UIs.
- gcr4 will no longer ship UI libraries, i.e. gcr-gtk3 or gcr-gtk4.
- `GcrComparable` and `GckList` have been removed

gcr 3.90.0:
- WARNING: this is the alpha release of gcr4, which is a major version bump
  with several API and ABI breaks.
- The "gcr" pkgconfig package now no longer contains the UI widgets (i.e. the
  former "gcr-base" package).
- "gcr-ui" no longer exists. There is now "gcr-gtk3" and "gcr-gtk4" for the
  GTK3 and GTK4 versions respectively. These might be removed from by the beta
  release however, in favor of widgets for each DE (e.g. libadwaita or
  libgranite or ...).
- All deprecated API has been removed, as well as most UI-related code. This
  includes most widgets, GcrColumn and any icons.
- Most GObject-based code has been updated to use modern constructs like the
  `G_DECLARE_*` macros
- "pkcs11.h" and "pkcs11.vapi" have been removed. If you used "pcks11.h", this
  is provided by the p11-kit package. If you used pkcs11.vapi, you'll have to
  copy it directly in your repository.
- The org.gnome.crypto.pgp schema is no longer shipped. The options provided in
  it are part of GPG configuration files.
- The minimally required version of Meson is now 0.59
- All `GcrCollection` based APIs are now ported to `GListModel`.
- Added lookup of trust assertions for distrusted certs
- Updated translations

gcr 3.41.0:
- Port ssh-agent from gnome-keyring [GNOME/gcr!67]
- build: Fix parallel build failure due to missing marshal dependency [GNOME/gcr!68]
- Fix warnings by dropping `volatile` for g_once_init_inter locations [GNOME/gcr!69]
- tests: More robust against GTask unref race condition [GNOME/gcr!72,GNOME/gcr#84]
- Updated translations

gcr 3.40.0:
- FEATURE: add hkps://keys.openpgp.org to keyserver defaults [GNOME/gcr!62]
- gcr/key-mechanism: Port to GTask [GNOME/gcr!66]
- GckCall: Simplify the code by using GTask based implementation [GNOME/gcr!61]
- Remove Autotools [GNOME/gcr!58]
- gck: Don't use g_assert() in tests [GNOME/gcr!64]
- Create a workaround for tests and GTask [GNOME/gcr!65]
- ui: Set "use-underline" for GcrImportButton [GNOME/gcr!63]
- Get rid of most GSimpleAsyncResult usages [GNOME/gcr!29]
- Gck flags check fixes [GNOME/gcr!60]
- Increase test-gnupg-collection timeout [GNOME/gcr#29, GNOME/gcr!23]
- ci: Fix ASAN jobs [GNOME/gcr!59]
- Updated translations

gcr 3.38.0:
- No changes from 3.37.91

gcr 3.37.91:
- meson: missing dependency on generated oids header [GNOME/gcr#48, GNOME/gcr!57]
- Correct display of key usage extensions [GNOME/gcr#47, GNOME/gcr!56]
- meson: Correctly set internal vapi dependencies [GNOME/gcr!55]
- Cleanup GType boilerplate [GNOME/gcr!53]
- gck: Fixed test failures [GNOME/gcr#42, GNOME/gcr!51, GNOME/gcr!52]
- Updated translations

gcr 3.36.0:
- gcr: Update gtk-doc get_der_data() vfunc [GNOME/gcr!48]
- Updated translations

gcr 3.35.91:
- Mark deprecated functions with G_DEPRECATED [GNOME/gcr#36, GNOME/gcr!47]
- egg-oid: Add comments for translators for new abbrevations [GNOME/gcr#40, GNOME/gcr!45]
- Updated translations

gcr 3.35.90:
- Add support for "NEW CERTIFICATE REQUEST" header [GNOME/gcr!44]
- Add support for GOST certificates [GNOME/gcr!43]
- Rework handling of ASN.1 standard types [GNOME/gcr!42]
- Fix a few regressions in the Meson build [GNOME/gcr!46, 7ba0e00d]
- Add support for g_autoptr [GNOME/gcr!36, GNOME/gcr#16]
- Fixed some compiler warnings [GNOME/gcr!38]
- Updated translations

gcr 3.35.1:
- gcr-certificate: Add (virtual) annotation [GNOME/gcr!35, GNOME/gcr#37]
- Always use G_PARAM_STATIC_STRINGS [GNOME/gcr!31]
- Support Meson build system [GNOME/gcr!11,32,33,34]
- Avoid potential 64-bit pointer aliasing alignment issues [GNOME/gcr!27, GNOME/gcr#34]
- Update README to mention correct environment variables [GNOME/gcr!25]
- build: Use sed for .desktop variables substitution [GNOME/gcr!24]
- Updated translations

gcr 3.34.0:
- gcr-prompt-dialog: Allow the use of mnemonics in the choice label [GNOME/gcr!22]
- Use python3 shebang in ui/icons/render-icons.py [GNOME/gcr!21]
- configure: Use PKG_PROG_PKG_CONFIG instead of reinventing it [GNOME/gcr!20]
- Replace tap-gtester with one that relies on GLib 2.38+ TAP output [GNOME/gcr!19]
- Remove SKS network from keyserver defaults [GNOME/gcr!18]
- Updated translations

gcr 3.33.4:
- Move from intltool to gettext [GNOME/gcr#18]
- Fix parameter type for signal handler causing stack smashing on ppc64le [GNOME/gcr!16]
- cleanup: Don't use deprecated g_type_class_add_private() anymore [GNOME/gcr!12]
- Fix GIR annotations [GNOME/gcr!10]
- Fix hashtable ordering assumptions [GNOME/gcr!9]
- build: Fix gcr-trust symbols not appearing in GIR, and hence also VAPI [GNOME/gcr!7]
- Update gcr_pkcs11_get_trust_{store|lookup}_slot URI checks [GNOME/gcr!5]
- build: Update tap scripts for Python 3 compat [GNOME/gcr!2]
- Updated translations

gcr 3.28.0:
- Fix year 2038 workaround in ASN.1 decoder [#787963]
- Fix test errors when ssh-keygen is not found
- Updated translations

gcr 3.27.92:
- Provide API for reliably calling ssh programs [#735873]
- Updated translations

gcr 3.27.4:
- Fix encoding of EC parameters [#785234]
- Fix hang in certificate export dialog [#789804]
- Fix failure case in gcr_secure_memory_try_realloc() [#775685]
- Switch to using GLib resources
- Build fixes [#771052, #775685, #775966, #774312, #774311, #764562, #764569]
- Updated translations

gcr 3.20.0:
- Build fixes [#763488 #766301
- Updated translations

gcr 3.19.4:
- Build fixes [#756235 #755873]
- Updated translations

gcr 3.18.0:
- Updated translations

gcr 3.17.4:
- Bump up the GTK+ deps
- Build fixes
- Updated translations

gcr 3.16.0:
- No changes from 3.15.92

gcr 3.15.92:
 - Updated translations
 - Build fixes [#745629]

gcr 3.15.90:
 - Fix memory leaks [#738508 #739239]
 - Updated translations
 - Build fixes [#743201 #739449 #737622]

gcr 3.14.0:
 - Updated translations

gcr 3.13.91:
 - Add support for parsing EC keys [#672137]
 - Add support for EC keys to key renderer
 - Parser support for PEM 'PUBLIC KEY' files
 - Parser support for parsing ECDSA OpenSSH keys
 - Fix use of libgcrypt 1.6+
 - Fix for deprecations in Gtk 3.13.x
 - Updated translations
 - Use g_debug() instead of our own debug wrappers
 - Bump required GLib version to 2.38.x
 - Don't include deprecated library in our pkg-config file [#732082]
 - Don't use non-portable 'sed -i' shell command [#728506]
 - Change CVS to Git in error message [#730340]
 - Build fixes

gcr 3.12.0:
 - Use /usr/bin/env to find python [#726909]
 - Updated translations

gcr 3.11.91:
 - Parallel tests, non-recursive Makefile, and TAP
 - Add gck_enumerator_set_object_type_full() function
 - Add an accessor for GckAttribute raw value data
 - Add gcr_certificate_get_markup() function
 - Store imported key filename in GcrParsed & GcrParser [#705225]
 - Allow using GBytes with GcrParser [#708736]
 - Lots of VAPI and GIR fixes [#720504 ...]
 - Deprecation fixes
 - Updated translations
 - Valgrind fix and update headers [#710983 #702648]
 - Build fixes

gcr 3.10.0:
 - Fix annotations [#705225]
 - Updated translations

gcr 3.9.91:
 - Translation fixes [#707077, #707078]
 - Updated translations

gcr 3.9.90:
 - GcrCertificateWidget: inherit from GtkBin, not GtkWidget [#701048]
 - Made gcr-certificate-renderer close the dialog when clicking okay [#699543]
 - Port to new p11-kit managed style functions
 - Testing fixes [#705139]
 - Build fixes [#695973, ...]

gcr 3.9.1:
 - Vapi bindings [#689685]
 - Don't import to 'xdg' module in the importer
 - Add appropriate icon for p11-kit trust module
 - Handle cases where no certificate data is available
 - Build fixes

gcr 3.8.2:
 - Build certificate chains when intermediates are wrong order [#699026]
 - Don't try to import certificates to gnome-keyring xdg module
 - Add appropriate icon for p11-kit trust module
 - Make gcr build on both pre GTK+ 3.8 and later versions
 - Update for recent changes in libtasn1
 - Handle cases where no certificate data is available
 - Fix for GTK+ 3.8 deprecations
 - Build fixes

gcr 3.8.1:
 - Fix erroneously cancelled prompts
 - Updated translations

gcr 3.8.0:
 - Fix crash when hashing an unsupported attributes [#696305]
 - Updated translations

gcr 3.7.92:
 - Have the gcr-prompter replace the running prompter
 - Fix segfault when prompt is dismissed immediately\
 - Updated translations

gcr 3.7.91:
 - Updated translations
 - Translation fixes [#692536]
 - Build fixes [#693591, #693440, #687980]

gcr 3.7.5:
 - Separate the base and ui parts of the Gcr library more thoroughly
 - Fix crasher in armor parsing code
 - Build fixes
 - Updated translations

gcr 3.7.2:
 - Fix corner case in DER parsing
 - Fix crash when parsing invalid DER
 - More complete test coverage
 - Other minor fixes
 - Build fixes

gcr 3.7.1:
 - Allow system prompts to be cancelled while in 'checking' state
 - Cancel system prompts when the prompter goes away
 - Use gnome-common code coverage macros
 - Translation fixes
 - Build fixes

gcr 3.6.1:
 - Remove unneeded translation
 - Clear and focus password entry in gcr-viewer when invalid password
 - Keep enumerating if getting info about one slot fails.
 - Updated translations
 - Testing fixes

gcr 3.6.0:
 - Updated translations

gcr 3.5.92:
 - Updated transaltions

gcr 3.5.90:
 - Updated translations
 - Don't fail preconditions when pkcs11 isn't initialized in gcr
 - Fix regression in ASN.1 parsing
 - Build fixes

gcr 3.5.5:
 - Use p11-kit/pkcs11.h instead of shipping a copy with gck.
 - Documentation fixes
 - Updated translations

gcr 3.5.4:
 - Add debug output to GcrSecretExchange
 - Fix invalid warning when sending a secret exchange
 - Remove support code for old glib versions
 - Updated translations
 - Documentation fixes

gcr 3.5.3:
 - Rework DER parsing so we can parse odd PKCS#12 files
 - Use GBytes, bump glib dependency
 - Enable gnome2 keyring storage
 - Documentation fixes
 - Updated translations

gcr 3.4.1:
 - Fix more issues disabling grabs during password prompts
 - More debug messages to GcrSystemPrompter
 - Fix up GCR_DEBUG and GCK_DEBUG environment variables
 - Updated translations
 - Build fixes

gcr 3.4.0:
 (no changes since last release)

gcr 3.3.92:
 - Fix up copyright headers
 - Updated translations
 - Build fix

gcr 3.3.90:
 - Expose the secure memory API

gcr 3.3.5:
 - Add way to specify button labels for a GcrPrompt
 - Reenable grabs for password prompts

gcr 3.3.4
 - Display an appropriate title in gcr-viewer
 - Include GcrPrompt documentation
 - Add 'new-prompt' signal to GcrSystemPrompter for use with javascript
 - Fix build for glib 2.31 deprecations
 - Build fixes

gcr 3.3.3.1
 - Fix build issues

gcr 3.3.3
 - Add support for parsing PKCS#10 and SPKAC formats in GcrParser
 - Add support for viewing certificate requests in GcrViewer
 - Support for dynamically loading private key data from PKCS#11
 - Add GcrCertificateRequest class for requesting certificates
 - Add function to retrieve basic constraints from a certificate
 - Show import errors in an info bar under the viewer
 - Don't show empty dates in gnupg key renderer
 - Make secure memory pool shared across modules
 - Add GckBuilder as a mutable attribute set
 - Add floating references to GckAttributes
 - Rename GckObjectAttributes to GckObjectCache
 - Expose GcrSecureEntryBuffer as a public class
 - Add system prompt and prompter
 - Expose uri in GcrImporter
 - Fix build for glib 2.31 deprecations
 - Licensing fixes
 - Build fixes, internal bug fixes, documentation, etc.

gcr 3.3.2.1
 - Fix build issues

gcr 3.3.2
 - Allow changing collection on a GcrCollectionModel, add tree/list
   mode to GcrCollectionModel
 - Allow chaining of GckEnumerator objects, so that when objects from
   one is listed, then chained enumerator is enumerated.
 - Integrate GTlsInteraction into libgck for logging in or key auth.
 - Refactor internal DER parsing to use reference counted memory
   using the prototyped GBytes API.
 - Build fixes, documentation fixes, testing fixes, memory leak fixes

gcr 3.3.1.1
 - Fix build issues

gcr 3.3.1
 - Add function to get elements of union collection
 - Add gck_slot_enumerate_objects() function
 - Enumerator can now retrieve object attributes
 - Add gck_session_find_handles() and friends
 - Add gnupg and password icons
 - Function to notify that certificate changed
 - Update glib dependency for 2.30.0
 - Build, translation and documentation fixes

Versions 3.2.2 and prior were released as part of gnome-keyring
